Imports System.Windows.Forms

Public Class DlgGen2
    Property Freq() As String
        Get
            Return _freq.Text
        End Get
        Set(ByVal value As String)
            _freq.Text = value
        End Set
    End Property
    Property Shape() As Integer
        Get
            Return _shape.SelectedIndex
        End Get
        Set(ByVal value As Integer)
            _shape.SelectedIndex = value

            Dim bEnabled = _shape.SelectedIndex = 3

            _rise.Enabled = bEnabled
            _fall.Enabled = bEnabled
            _high.Enabled = bEnabled
            _low.Enabled = bEnabled
        End Set
    End Property
    Property Rise() As String
        Get
            Return _rise.Text
        End Get
        Set(ByVal value As String)
            _rise.Text = value
        End Set
    End Property
    Property High() As String
        Get
            Return _high.Text
        End Get
        Set(ByVal value As String)
            _high.Text = value
        End Set
    End Property
    Property Fall() As String
        Get
            Return _fall.Text
        End Get
        Set(ByVal value As String)
            _fall.Text = value
        End Set
    End Property
    Property Low() As String
        Get
            Return _low.Text
        End Get
        Set(ByVal value As String)
            _low.Text = value
        End Set
    End Property

    Private Sub OK_Button_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles OK_Button.Click
        Me.DialogResult = System.Windows.Forms.DialogResult.OK
        Me.Close()
    End Sub

    Private Sub Cancel_Button_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Cancel_Button.Click
        Me.DialogResult = System.Windows.Forms.DialogResult.Cancel
        Me.Close()
    End Sub

    Private Sub OnChangeShape(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles _shape.SelectedIndexChanged
        Dim bEnabled = _shape.SelectedIndex = 3

        _rise.Enabled = bEnabled
        _fall.Enabled = bEnabled
        _high.Enabled = bEnabled
        _low.Enabled = bEnabled

    End Sub
End Class
