Imports System.Windows.Forms

Public Class DlgNoise
    Property Distribution() As Integer
        Get
            Return _distribution.SelectedIndex
        End Get
        Set(ByVal value As Integer)
            _distribution.SelectedIndex = value
        End Set
    End Property
    Property BandWidthState() As Boolean
        Get
            Return _bandWidthState.Checked
        End Get
        Set(ByVal value As Boolean)
            _bandWidthState.Checked = value
            _bandWidth.Enabled = value
        End Set
    End Property
    Property BandWidth() As String
        Get
            Return _bandWidth.Text
        End Get
        Set(ByVal value As String)
            _bandWidth.Text = value
        End Set
    End Property

    Private Sub OK_Button_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles _ok.Click
        Me.DialogResult = System.Windows.Forms.DialogResult.OK
        Me.Close()
    End Sub

    Private Sub Cancel_Button_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles _cancel.Click
        Me.DialogResult = System.Windows.Forms.DialogResult.Cancel
        Me.Close()
    End Sub

    Private Sub OnChangeBandWidthState(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles _bandWidthState.CheckedChanged
        _bandWidth.Enabled = _bandWidthState.Checked

    End Sub
End Class
