Imports System.Windows.Forms

Public Class DlgTrigger
    Property Mode() As Integer
        Get
            Return _mode.SelectedIndex
        End Get
        Set(ByVal value As Integer)
            _mode.SelectedIndex = value

            _slope.Enabled = _mode.SelectedIndex = 1
            _polarity.Enabled = _mode.SelectedIndex = 2
        End Set
    End Property
    Property Slope() As Integer
        Get
            Return _slope.SelectedIndex
        End Get
        Set(ByVal value As Integer)
            _slope.SelectedIndex = value
        End Set
    End Property
    Property Polarity() As Integer
        Get
            Return _polarity.SelectedIndex
        End Get
        Set(ByVal value As Integer)
            _polarity.SelectedIndex = value
        End Set
    End Property

    Private Sub OK_Button_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles OK_Button.Click
        Me.DialogResult = System.Windows.Forms.DialogResult.OK
        Me.Close()
    End Sub

    Private Sub Cancel_Button_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Cancel_Button.Click
        Me.DialogResult = System.Windows.Forms.DialogResult.Cancel
        Me.Close()
    End Sub

    Private Sub OnModeChage(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles _mode.SelectedIndexChanged
        _slope.Enabled = _mode.SelectedIndex = 1
        _polarity.Enabled = _mode.SelectedIndex = 2
    End Sub
End Class
